org.sonatype.maven.polyglot.groovy.builder.factory

## Class ReportsFactory

- java.lang.Object
- - groovy.util.AbstractFactory
  - - org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory
    - - org.sonatype.maven.polyglot.groovy.builder.factory.ListFactory
      - - org.sonatype.maven.polyglot.groovy.builder.factory.ReportsFactory

All Implemented Interfaces:
  groovy.util.Factory

    public class ReportsFactory
    extends ListFactory

Builds reports nodes.

Since:
  0.8
Author:
  Tim O'Brien

### Nested Class Summary

### Nested classes/interfaces inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`NamedFactory.NodeValueParseException`

### Constructor Summary

Constructors
Constructor and Description
`ReportsFactory()`

### Method Summary

Methods
`java.lang.Object` `newInstance(groovy.util.FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attrs)`
`static java.util.List` `parse(java.lang.Object value)`

### Methods inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`getName, setParent, toString`

### Methods inherited from class groovy.util.AbstractFactory

`isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReportsFactory

    public ReportsFactory()

### Method Detail

#### newInstance

    public java.lang.Object newInstance(groovy.util.FactoryBuilderSupport builder,
                               java.lang.Object name,
                               java.lang.Object value,
                               java.util.Map attrs)
                                 throws java.lang.InstantiationException,
                                        java.lang.IllegalAccessException

Specified by:
  `newInstance` in interface `groovy.util.Factory`
Overrides:
  `newInstance` in class `ListFactory`
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`

#### parse

    public static java.util.List parse(java.lang.Object value)